close all
clear all
clc
load resultados_direccionales
ter_octavas=[20 25 31.5 40	50	63	80	100	125	160	200	250	315	400	500	630	800	1000 1250 1600 2000	2500 3150 4000 5000 6000 8000 10000 12500 16000	20000];
[des0]=coloracion(salida0);
[des1]=coloracion(salida1);
[des2]=coloracion(salida2);
semilogx(ter_octavas,des0,ter_octavas,des1,'r',ter_octavas,des2,'g','LineWidth',2)
axis([20 5000 0 10]);
title('Coloración de la señal')
xlabel('Frecuencia')
ylabel('Desviación estandar')
legend('Sin difusor','Difusor 1','Difusor 2')
% for ii=1:3;figure(ii);
%     hold on
%     semilogx([100 5000],[.5 .5],'k')
%     axis([100 5000 0 2])
% end
%escritura de resultados en EXCEL
xlswrite('Resultados.xlsx',des0','Coloracion');
xlswrite('Resultados.xlsx',des1','Coloracion','B1');
xlswrite('Resultados.xlsx',des2','Coloracion','C1');
